package com.uas.search.model;

import java.io.Serializable;

/**
 * 器件批次
 * 
 * @author sunyj
 * @since 2017年7月8日 下午5:14:08
 */
public class Goods implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private String id;

	/**
	 * 批次id
	 */
	private Long goId;

	/**
	 * 批次的库存
	 */
	private Double goReserve;

	/**
	 * 批次的人民币价格
	 */
	private Double goMinPriceRMB;

	/**
	 * 批次的美元价格
	 */
	private Double goMinPriceUSD;

	/**
	 * 货币
	 */
	private String crName;

	/**
	 * 货源
	 */
	private Store store;

	/**
	 * 器件的id
	 */
	private Long cmpId;

	/**
	 * 原厂型号
	 */
	private String cmpCode;

	/**
	 * 类目
	 */
	private Kind kind;

	/**
	 * 品牌
	 */
	private Brand brand;

	/**
	 * 描述
	 */
	private String description;

	public Goods() {
	}

	public Goods(TradeGoods tradeGoods, Store store, Component component) {
		if (tradeGoods != null) {
			this.goId = tradeGoods.getId();
			this.goReserve = tradeGoods.getReserve();
			this.goMinPriceRMB = tradeGoods.getMinPriceRMB();
			this.goMinPriceUSD = tradeGoods.getMinPriceUSD();
			this.crName = tradeGoods.getCrName();
		}
		this.store = store;
		if (component != null) {
			this.cmpId = component.getId();
			this.cmpCode = component.getCode();
			this.kind = component.getKind();
			this.brand = component.getBrand();
			this.description = component.getDescription();
		}
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Long getGoId() {
		return goId;
	}

	public void setGoId(Long goId) {
		this.goId = goId;
	}

	public Double getGoReserve() {
		return goReserve;
	}

	public void setGoReserve(Double goReserve) {
		this.goReserve = goReserve;
	}

	public Double getGoMinPriceRMB() {
		return goMinPriceRMB;
	}

	public void setGoMinPriceRMB(Double goMinPriceRMB) {
		this.goMinPriceRMB = goMinPriceRMB;
	}

	public Double getGoMinPriceUSD() {
		return goMinPriceUSD;
	}

	public void setGoMinPriceUSD(Double goMinPriceUSD) {
		this.goMinPriceUSD = goMinPriceUSD;
	}

	public String getCrName() {
		return crName;
	}

	public void setCrName(String crName) {
		this.crName = crName;
	}

	public Store getStore() {
		return store;
	}

	public void setStore(Store store) {
		this.store = store;
	}

	public Long getCmpId() {
		return cmpId;
	}

	public void setCmpId(Long cmpId) {
		this.cmpId = cmpId;
	}

	public String getCmpCode() {
		return cmpCode;
	}

	public void setCmpCode(String cmpCode) {
		this.cmpCode = cmpCode;
	}

	public Kind getKind() {
		return kind;
	}

	public void setKind(Kind kind) {
		this.kind = kind;
	}

	public Brand getBrand() {
		return brand;
	}

	public void setBrand(Brand brand) {
		this.brand = brand;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	@Override
	public String toString() {
		return "Goods{" +
				"id='" + id + '\'' +
				", goId=" + goId +
				", goReserve=" + goReserve +
				", goMinPriceRMB=" + goMinPriceRMB +
				", goMinPriceUSD=" + goMinPriceUSD +
				", crName='" + crName + '\'' +
				", store=" + store +
				", cmpId=" + cmpId +
				", cmpCode='" + cmpCode + '\'' +
				", kind=" + kind +
				", brand=" + brand +
				", description='" + description + '\'' +
				'}';
	}
}
